Package org.apache.wiki.htmltowiki.syntax

## Class PlainTextBoldDecorator

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.PlainTextBoldDecorator

    public abstract class PlainTextBoldDecorator
    extends java.lang.Object

Translates to wiki syntax from a plain text handling bold.

### Field Summary

Fields
`protected XHtmlElementToWikiTranslator` `chain`
`protected java.io.PrintWriter` `out`
`protected PlainTextItalicDecorator` `ptid`

### Constructor Summary

Constructors
`protected` `PlainTextBoldDecorator​(PlainTextItalicDecorator ptid, java.io.PrintWriter out, XHtmlElementToWikiTranslator chain)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `decorate​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)` Translates the given XHTML element into wiki markup.
`void` `decorate​(org.jdom2.Element e)` Translates the given XHTML element into wiki markup.
`protected abstract java.lang.String` `markupBoldClose()` Closing wiki markup for a bold element.
`protected abstract java.lang.String` `markupBoldOpen()` Opening wiki markup for a bold element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected final java.io.PrintWriter out

#### chain

    protected final XHtmlElementToWikiTranslator chain

#### ptid

    protected final PlainTextItalicDecorator ptid

### Constructor Detail

#### PlainTextBoldDecorator

    protected PlainTextBoldDecorator​(PlainTextItalicDecorator ptid,
                                     java.io.PrintWriter out,
                                     XHtmlElementToWikiTranslator chain)

### Method Detail

#### decorate

    public void decorate​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)
                  throws org.jdom2.JDOMException

Translates the given XHTML element into wiki markup.

Parameters:
  `dto` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

#### decorate

    public void decorate​(org.jdom2.Element e)
                  throws org.jdom2.JDOMException

Translates the given XHTML element into wiki markup.

Parameters:
  `e` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

#### markupBoldOpen

    protected abstract java.lang.String markupBoldOpen()

Opening wiki markup for a bold element.

Returns:
  Opening wiki markup for a bold element.

#### markupBoldClose

    protected abstract java.lang.String markupBoldClose()

Closing wiki markup for a bold element.

Returns:
  Closing wiki markup for a bold element.